#include "common.h"
#include "PWM.h"
#include "Automat.h"
#include "dcMotor.h"

volatile short switchValue;
volatile short switchStabiliser = 0;

void initPins() {
	DDRA = 0;
	DDRB |= (0x3 << PB3);
	// PA7 - Sw off, PA6 - Sw Off?
	PORTA |= (0x3 << PA6);
}

volatile short rotateState;
void rotateBox() {
	changePWM(2, 50);
	_delay_ms(1000);
	if (rotateState) {
		changePWM(3, 250);
	} else {
		changePWM(3, 50);
	}
	rotateState ^= 1;
	_delay_ms(1000);
	changePWM(2, 250);
	_delay_ms(1000);
}

ISR(TIMER1_OVF_vect) {
	doPWM();
	if (switchStabiliser) {
		--switchStabiliser;
	} else {
		if (!(PINA&(1<<PA7))) {
			if (switchValue) {
				switchValue = 0;
				switchStabiliser = 1;
			}
		} else if (!(PINA&(1<<PA6))) {
			if (!switchValue) {
				switchValue = 1;
				switchStabiliser = 1;
			}
		}
	}
}

int main() {
	initPins();

	initPWM();
	initDc();
	sei();

	changePWM(0, 180);
	changePWM(1, 100);
	changePWM(2, 150);
	changePWM(3, 50);
	rotateState = 0;
	_delay_ms(1000);

    while(1) {
		Act();
	//	rotateBox();
    }
    return 0;
}
