#include "dcMotor.h"

// initialize dcMotor pins
void initDc() {
	DDRC |= (0x7 << PC0);
	DDRB |= (1 << PB3);
	PORTB = (1 << PB3);
	PORTC = 0;

    TCCR2A = 0;
    TCCR2B = (0x7 << CS10);
	OCR2B = 255;

	// enable interrupt for software PWM
	TIMSK2 = (1 << OCIE2B) | (1 << TOIE2);
}

ISR(TIMER2_OVF_vect) {
	PORTC |= (1 << PC2);
}

ISR(TIMER2_COMPB_vect) {
	//PORTC &= ~(1 << PC2);
}

void setDcMovement(short direction) {
	PORTC = (PORTC & 0xf8) | direction;
}

// set speed v out of 255
void setSpeed(unsigned short v) {
	OCR2B = v;
}
